org.apache.ignite.internal.processors.cache.query

## Enum CacheQueryType

- java.lang.Object
- - java.lang.Enum<CacheQueryType>
  - - org.apache.ignite.internal.processors.cache.query.CacheQueryType

All Implemented Interfaces:
  Serializable, Comparable<CacheQueryType>

    public enum CacheQueryType
    extends Enum<CacheQueryType>

Cache query type.

Used in `CacheQueryExecutedEvent` and `CacheQueryReadEvent` to identify the type of query for which an event was fired.

See Also:
  `CacheQueryExecutedEvent.queryType()`, `CacheQueryReadEvent.queryType()`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONTINUOUS` Continuous query.
`FULL_TEXT` Full text query.
`SCAN` Scan query.
`SPI` SPI query.
`SQL` SQL query.
`SQL_FIELDS` SQL fields query.

### Method Summary

All Methods Static Methods Concrete Methods
`static CacheQueryType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheQueryType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SQL

    public static final CacheQueryType SQL

SQL query.

#### SQL_FIELDS

    public static final CacheQueryType SQL_FIELDS

SQL fields query.

#### FULL_TEXT

    public static final CacheQueryType FULL_TEXT

Full text query.

#### SCAN

    public static final CacheQueryType SCAN

Scan query.

#### CONTINUOUS

    public static final CacheQueryType CONTINUOUS

Continuous query.

#### SPI

    public static final CacheQueryType SPI

SPI query.

### Method Detail

#### values

    public static CacheQueryType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CacheQueryType c : CacheQueryType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CacheQueryType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019